> For the complete documentation index, see [llms.txt](https://docs.live-eo.com/tradeaware/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.live-eo.com/tradeaware/using-the-tradeaware-api/api-reference/survey-responses.md).

# Survey responses

## Retrieve survey response as PDF.

> Retrieve the specified completed survey response as rendered PDF.

```json
{"openapi":"3.0.0","info":{"title":"TradeAware API","version":"0.46.0"},"servers":[{"url":"https://api.tradeaware.live-eo.com"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/survey-responses/{id}/pdf":{"get":{"description":"Retrieve the specified completed survey response as rendered PDF.","operationId":"SurveyResponsesController_renderPdf","parameters":[{"name":"id","required":true,"in":"path","description":"Id of the survey response to be rendered.","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"","content":{"application/pdf":{"schema":{"format":"binary","type":"string"}}}},"401":{"description":""},"403":{"description":""},"404":{"description":""},"422":{"description":"Returned if the survey response is not in status COMPLETED."}},"summary":"Retrieve survey response as PDF.","tags":["Survey Responses"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.live-eo.com/tradeaware/using-the-tradeaware-api/api-reference/survey-responses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
